import { ref, watch } from 'vue';
import { getSlotsProps } from '@gx-design-vue/pro-utils';
export function useSlotsProps(slotsName, slots, props) {
    const renderSlotsAndProps = ref({});
    if (slotsName) {
        watch(() => props, () => {
            renderSlotsAndProps.value = getSlotsProps(slotsName, slots, props);
        }, {
            deep: true,
            immediate: true
        });
    }
    return renderSlotsAndProps;
}
