"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vue_1 = require("vue");
function useMemo(getValue, condition, shouldUpdate) {
    const cacheRef = (0, vue_1.ref)(getValue());
    (0, vue_1.watch)(condition, (next, pre) => {
        if (shouldUpdate) {
            if (shouldUpdate(next, pre)) {
                cacheRef.value = getValue();
            }
        }
        else {
            cacheRef.value = getValue();
        }
    });
    return cacheRef;
}
exports.default = useMemo;
