"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vue_1 = require("vue");
function onMountedOrActivated(hook) {
    let mounted;
    (0, vue_1.onMounted)(() => {
        hook(false);
        (0, vue_1.nextTick)(() => {
            mounted = true;
        });
    });
    (0, vue_1.onActivated)(() => {
        if (mounted) {
            hook(true);
        }
    });
}
exports.default = onMountedOrActivated;
