import type { Ref, Slots } from 'vue';
import type { CustomRender, WithFalse } from '@gx-design-vue/pro-utils';
type KeyValue<T extends keyof any, K> = Record<T, K>;
export declare function useSlotsProps<T extends keyof any, VNode = WithFalse<CustomRender>>(slotsName: T[], slots: Slots, props: any): Ref<KeyValue<T, VNode | false>>;
export {};
